> For the complete documentation index, see [llms.txt](https://docs.opshub.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.opshub.com/v7.226/connector-sdk-index/sdk-connector-apis/entity-delete.md).

# Entity Delete

### Overview

This API is supposed to soft delete an entity in the end system. OpsHub will call this API to soft delete entity in the end system.

### API URI

```
DELETE: /entities/{entityTypeId}/{entityId}?
     projectId=<projectId>&deletionType=<deletionType>
```

### URI Parameters

| **Name**     | **In** | **Required** | **Type** | **Description**                                                                                                                          |
| ------------ | ------ | ------------ | -------- | ---------------------------------------------------------------------------------------------------------------------------------------- |
| entityTypeId | path   | True         | String   | ‘id’ of entity type of the entity to be deleted                                                                                          |
| entityId     | path   | True         | String   | Id of the entity for which the delete operation is to be performed                                                                       |
| projectId    | Query  | True         | String   | Project id of the project in which entity to be deleted is associated. ProjectId here will be the same as ‘id’ sent as part of /projects |
| deletionType | Query  | True         | ENUM     | <p>Deletion types as per which delete operation should be performed:<br>- SOFT\_DELETE<br>- ARCHIVE</p>                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.opshub.com/v7.226/connector-sdk-index/sdk-connector-apis/entity-delete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
